curl "https://kodostatus.com/api/v1/ssl-monitors/ssl_abc123" \
-H "X-API-Key: your_api_key"
const response = await fetch('https://kodostatus.com/api/v1/ssl-monitors/ssl_abc123', {
headers: { 'X-API-Key': 'your_api_key' }
});
const ssl_monitor = await response.json();
{
"id": "ssl_abc123",
"domain": "api.example.com",
"port": 443,
"alert_days": 30,
"enabled": true,
"last_checked_at": "2024-01-15T10:30:00Z",
"certificate": {
"issuer": "Let's Encrypt Authority X3",
"subject": "api.example.com",
"valid_from": "2024-01-01T00:00:00Z",
"valid_to": "2024-04-01T00:00:00Z",
"days_until_expiry": 76,
"is_valid": true,
"serial_number": "03:a1:b2:c3:d4:e5:f6",
"fingerprint": "SHA256:abc123...",
"san": ["api.example.com", "*.example.com"]
},
"check_history": [
{
"checked_at": "2024-01-15T10:30:00Z",
"days_until_expiry": 76,
"is_valid": true
}
],
"service_id": "svc_xyz789",
"created_at": "2024-01-01T00:00:00Z"
}
SSL Monitors
Get SSL Monitor
Retrieve details of a specific SSL certificate monitor including certificate information
GET
/
ssl-monitors
/
{id}
curl "https://kodostatus.com/api/v1/ssl-monitors/ssl_abc123" \
-H "X-API-Key: your_api_key"
const response = await fetch('https://kodostatus.com/api/v1/ssl-monitors/ssl_abc123', {
headers: { 'X-API-Key': 'your_api_key' }
});
const ssl_monitor = await response.json();
{
"id": "ssl_abc123",
"domain": "api.example.com",
"port": 443,
"alert_days": 30,
"enabled": true,
"last_checked_at": "2024-01-15T10:30:00Z",
"certificate": {
"issuer": "Let's Encrypt Authority X3",
"subject": "api.example.com",
"valid_from": "2024-01-01T00:00:00Z",
"valid_to": "2024-04-01T00:00:00Z",
"days_until_expiry": 76,
"is_valid": true,
"serial_number": "03:a1:b2:c3:d4:e5:f6",
"fingerprint": "SHA256:abc123...",
"san": ["api.example.com", "*.example.com"]
},
"check_history": [
{
"checked_at": "2024-01-15T10:30:00Z",
"days_until_expiry": 76,
"is_valid": true
}
],
"service_id": "svc_xyz789",
"created_at": "2024-01-01T00:00:00Z"
}
Path Parameters
string
required
The unique identifier of the SSL monitor
Response
string
Unique identifier for the SSL monitor
string
Domain being monitored
number
Port being checked
number
Days before expiration to trigger alerts
boolean
Whether monitoring is active
object
Detailed certificate information
Show Certificate Details
Show Certificate Details
string
Certificate Authority name
string
Certificate subject (domain)
string
Certificate validity start date
string
Certificate expiration date
number
Days until expiration
boolean
Whether certificate is currently valid
string
Certificate serial number
string
Certificate SHA-256 fingerprint
array
Subject Alternative Names
array
Recent check results (last 30 days)
curl "https://kodostatus.com/api/v1/ssl-monitors/ssl_abc123" \
-H "X-API-Key: your_api_key"
const response = await fetch('https://kodostatus.com/api/v1/ssl-monitors/ssl_abc123', {
headers: { 'X-API-Key': 'your_api_key' }
});
const ssl_monitor = await response.json();
{
"id": "ssl_abc123",
"domain": "api.example.com",
"port": 443,
"alert_days": 30,
"enabled": true,
"last_checked_at": "2024-01-15T10:30:00Z",
"certificate": {
"issuer": "Let's Encrypt Authority X3",
"subject": "api.example.com",
"valid_from": "2024-01-01T00:00:00Z",
"valid_to": "2024-04-01T00:00:00Z",
"days_until_expiry": 76,
"is_valid": true,
"serial_number": "03:a1:b2:c3:d4:e5:f6",
"fingerprint": "SHA256:abc123...",
"san": ["api.example.com", "*.example.com"]
},
"check_history": [
{
"checked_at": "2024-01-15T10:30:00Z",
"days_until_expiry": 76,
"is_valid": true
}
],
"service_id": "svc_xyz789",
"created_at": "2024-01-01T00:00:00Z"
}
⌘I